#!/usr/bin/env sh

set -o errexit
set -o pipefail

if [ $# -eq 1 ]
then
    suffix=$1
else
    suffix=${CI_PIPELINE_ID}-$(date +'%Y%m%d_%H%M')
fi


set -o nounset



source ${CI_PROJECT_DIR}/ci/stack_env.sh

jq -Mrc '
.spack.mirrors
  | to_entries
  | map(select(.value.type="relative"))
  | map("\(.value.url)")
  | .[]
' ${STACK_CONFIG} > excludes.list

echo buildcache >> excludes.list

cd /squashfs-cache

mksquashfs \
    ${MOUNT_POINT} \
    ${stack}-${environment}-${squash_id}-${suffix}.sqfs \
    -ef ${CI_PROJECT_DIR}/excludes.list \

cd -
